Subject: Re: bug#43491: Fakechroot execution engine can fail to find libraries
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Thu, 01 Oct 2020 12:53:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> The patch below fixes the issue for this particular example by simply
> passing the whole RUNPATH of the wrapped executable as ‘--library-path’,
> as was the case in v1 of the patch set¹.  (This assumes that the RUNPATH
> of pack-audit.so is a subset of that of the program, which is usually
> the case.)

I pushed this as a workaround as commit
58abd5873985e0cd9a2926867bf697c5e7bc01f9.

The ld.so issue is still open but there seems to be consensus that it’s
a bug: <https://sourceware.org/bugzilla/show_bug.cgi?id=26634>.

Closing!

Ludo’.